# OSGeo::FDO::Filter::Filter Class Reference
[OSGeo::FDO::Filter]

Inheritance diagram for OSGeo::FDO::Filter::Filter:

[legend]

List of all members.

## Detailed Description

Filter is an abstract class which acts as a base class for condition and operator classes that can occur in a filter expression tree. The Filter class contains operations for converting between the text and expression tree representation of a filter.

()

## Public Member Functions
OSGeo::FDO::Filter::Filter * | Combine (System::String *leftFilter, OSGeo::FDO::Filter::BinaryLogicalOperations operation, System::String *rightFilter)
| Static operation that combines two filters using the specified binary logical operation.
OSGeo::FDO::Filter::Filter * | Combine (OSGeo::FDO::Filter::Filter *leftFilter, OSGeo::FDO::Filter::BinaryLogicalOperations operation, System::String *rightFilter)
| Static operation that combines two filters using the specified binary logical operation.
OSGeo::FDO::Filter::Filter * | Combine (System::String *leftFilter, OSGeo::FDO::Filter::BinaryLogicalOperations operation, OSGeo::FDO::Filter::Filter *rightFilter)
| Static operation that combines two filters using the specified binary logical operation.
OSGeo::FDO::Filter::Filter * | Combine (OSGeo::FDO::Filter::Filter *leftFilter, OSGeo::FDO::Filter::BinaryLogicalOperations operation, OSGeo::FDO::Filter::Filter *rightFilter)
| Static operation that combines two filters using the specified binary logical operation.
| Filter (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a Filter object based on an unmanaged instance of the object.
System::Void | Process (OSGeo::FDO::Filter::IFilterProcessor *processor)
| Abstract operation that takes an IFilterProcessor as an argument. Concrete filter subclasses must override this method and pass themselves as an argument to the appropriate filter processor operation.
System::String * | ToString ()
| Converts the filter expression to its well defined text representation.
## Static Public Member Functions
static OSGeo::FDO::Filter::Filter * | Parse (System::String *filterText)
| Static operation that parses the well defined text representation and returns a Filter instance.